Historical contract: Get SEO category
Historical API contract. This page describes an earlier API contract. Methods, paths, and responses may differ from the current API.
Historical meaning
Get SEO category
API endpoint use to obtain business category metadata
Current API
For new integrations, use the linked current API reference or guide.
View the current API referenceParameters
[
{
"name": "language",
"in": "path",
"schema": {
"type": "string",
"default": "en"
},
"required": true
},
{
"name": "project",
"in": "path",
"schema": {
"type": "string",
"default": "<redacted-personal>"
},
"required": true
},
{
"name": "business_slug",
"in": "path",
"schema": {
"type": "string"
},
"required": true
},
{
"name": "category_id",
"in": "path",
"schema": {
"type": "integer",
"format": "int32"
},
"required": true
},
{
"name": "api_version",
"in": "path",
"schema": {
"type": "string",
"default": "v400"
},
"required": true
}
]
Request body
null
Responses
{
"200": {
"description": "200",
"content": {
"application/json": {
"examples": {
"Result": {
"value": "{\n \"error\": false,\n \"result\": {\n \"title\": \"Wraps\",\n \"type\": \"website\",\n \"url\": \"https://example.com/mcbonalds\",\n \"image\": \"https://example.com/ordering2/image/upload/q_auto,c_pad,b_white,w_512,h_512/v1539098927/w1disualek7puy8tz4ku.jpg\",\n \"description\": \"\"\n }\n}"
}
},
"schema": {
"type": "object",
"properties": {
"error": {
"type": "boolean",
"example": false,
"default": true
},
"result": {
"type": "object",
"properties": {
"title": {
"type": "string",
"example": "Wraps"
},
"type": {
"type": "string",
"example": "website"
},
"url": {
"type": "string",
"example": "https://example.com/mcbonalds"
},
"image": {
"type": "string",
"example": "https://example.com/ordering2/image/upload/q_auto,c_pad,b_white,w_512,h_512/v1539098927/w1disualek7puy8tz4ku.jpg"
},
"description": {
"type": "string",
"example": ""
}
}
}
}
}
}
}
},
"400": {
"description": "400",
"content": {
"application/json": {
"examples": {
"Result": {
"value": "{\n \"error\": true,\n \"result\": null\n}"
}
},
"schema": {
"type": "object",
"properties": {
"error": {
"type": "boolean",
"example": true,
"default": true
},
"result": {}
}
}
}
}
}
}